'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _antd = require('antd');

var _Utils = require('./util/Utils');

var _Utils2 = _interopRequireDefault(_Utils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

require("./Main.css");

var EditModule = function (_React$Component) {
    _inherits(EditModule, _React$Component);

    function EditModule() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, EditModule);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = EditModule.__proto__ || Object.getPrototypeOf(EditModule)).call.apply(_ref, [this].concat(args))), _this), _this.module = null, _this.state = {
            modelId: '',
            modelRepeatRate: ''
        }, _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(EditModule, [{
        key: 'componentWillMount',
        value: function componentWillMount() {
            this.userData = {};
            this.getDataInfo();
        }
    }, {
        key: 'getDataInfo',
        value: function getDataInfo() {
            if (this.props.parent.state.geo) {
                this.module = this.props.parent.state.geo;
                this.userData = this.props.parent.state.geo.userData;
                var str = this.userData.repeat_rate.split(",");
                this.setState({ modelRepeatRate: str[0] });
                this.setState({ modelId: this.userData.id });
            }
        }
    }, {
        key: 'determine',
        value: function determine() {
            var zoom = document.getElementById("rate");
            if (zoom) {
                var re = /^[0-9]+.?[0-9]*$/;
                var modelZoomValue = zoom.value.replace(/\s+/g, "");
                if (!modelZoomValue) {
                    return _Utils2.default.alert("设备缩放比不能为空！");
                } else if (!re.test(modelZoomValue)) {
                    return _Utils2.default.alert("设备缩放比类型错误,请输入数字类型！");
                } else {
                    if (modelZoomValue.indexOf('.') != -1) {
                        modelZoomValue = _Utils2.default.formatNum(modelZoomValue, 2);
                    }
                }
                var modelObj = {};
                modelObj = this.props.parent.state.geo;
                modelObj.userData.repeat_rate = modelZoomValue + "," + modelZoomValue + "," + modelZoomValue;
                window.earth.Api.MeshInfo.doEdit();
                this.goBack();
            }
        }
    }, {
        key: 'goBack',
        value: function goBack() {
            this.props.parent.setState({ isEditModule: false, geo: {} });
        }
    }, {
        key: 'modelRepeatRate',
        value: function modelRepeatRate(ele) {
            var inputValue = ele.target.value;
            var value = inputValue * 1;
            var re = /^[0-9]+.?[0-9]*$/;
            if (!re.test(value)) {
                _Utils2.default.alert("设备缩放比类型错误,请输入数字类型！");
            }
            this.setState({ modelRepeatRate: ele.target.value });
        }
    }, {
        key: 'render',
        value: function render() {
            return _react2.default.createElement(
                _antd.Modal,
                {
                    title: '\u8BBE\u7F6E\u7F29\u653E\u6BD4',
                    visible: true,
                    width: 350,
                    okText: '\u786E\u5B9A',
                    cancelText: '\u8FD4\u56DE',
                    onOk: this.determine.bind(this),
                    onCancel: this.goBack.bind(this),
                    className: 'gis-modalDiv',
                    centered: true
                },
                _react2.default.createElement(
                    _antd.Row,
                    { style: { marginBottom: 10 } },
                    _react2.default.createElement(
                        'label',
                        { style: { width: 90, display: 'inline-block' } },
                        '\u8BBE\u5907\u7F29\u653E\u6BD4\uFF1A'
                    ),
                    _react2.default.createElement(_antd.Input, { id: 'rate', onChange: this.modelRepeatRate.bind(this), value: this.state.modelRepeatRate ? this.state.modelRepeatRate : "", style: { width: 150 } })
                )
            );
        }
    }]);

    return EditModule;
}(_react2.default.Component);

exports.default = EditModule;