'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _axios = require('axios');

var _axios2 = _interopRequireDefault(_axios);

var _Utils = require('./Utils');

var _Utils2 = _interopRequireDefault(_Utils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

_axios2.default.defaults.headers.post['Content-Type'] = "application/json";

var Request = function () {
    function Request() {
        _classCallCheck(this, Request);
    }

    _createClass(Request, null, [{
        key: 'get',
        value: function get(url, config, callback, scope) {
            _axios2.default.get(url, config).then(function (res) {
                if (callback != null) {
                    callback.call(scope, res.data);
                }
            });
        }
    }, {
        key: 'post',
        value: function post(url, params, config, callback, scope) {
            _axios2.default.post(url, params, config).then(function (res) {
                if (callback != null) {
                    callback.call(scope, res.data);
                }
            });
        }
    }]);

    return Request;
}();

exports.default = Request;
;